html {
    font-family: sans-serif;
    font-size: 16px;
    line-height: 1.6;
    color: #666;
}
body,
div,
p,
ul, ol, li,
dl, dt, dd,
h1,
h2,
h3,
h4 {
    margin: 0;
    padding: 0;
}
article,
aside,
footer,
header,
nav,
main,
section {
	display: block;
}
li {
    list-style: none;
}
a,
address {
    text-decoration: none;
    font-style: normal;
    color: #666;
}

html {
    background: #333;
    background: linear-gradient(
        135deg
        ,#333539, #3f4549);
        background: linear-gradient(135deg,#3f3f3f, #595959);
}

body {
    position: relative;
    box-sizing: border-box;
    min-height: 100vh;
    padding-top: 64px;
    padding-bottom: 40px;
}

/* Header 
----------------------------------------------------------------------*/
@keyframes logo-fade-in {
    0% {
        opacity: 0;
    }
    95%{
        opacity: .85;
    }
    100% {
        opacity: 1;
    }
}

.site-title {
    width: 90%;
    max-width: 640px;
    margin: 0 auto 64px auto;
    animation: logo-fade-in 3s ease;
}

/* Main 
----------------------------------------------------------------------*/
main {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 30vh;
}

.top-bg {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    width: 100%;
    height: 100%;
    z-index: -1;
}
.top-bg-children {
    width: 20%;
    height: 100%;
}
.top-bg-children::after {
    content: "";
    display: block;
    height: 2%;
    background: rgb(0, 0, 0, .1);
}
@keyframes bottom-to-top-1 {
    0% {height: 100%;}
    30% {height: 100%;}
    100% {height: 2%;}
}
@keyframes bottom-to-top-2 {
    0% {height: 100%;}
    40% {height: 100%;}
    100% {height: 2%;}
}
@keyframes bottom-to-top-3 {
    0% {height: 100%;}
    50% {height: 100%;}
    100% {height: 2%;}
}
@keyframes bottom-to-top-4 {
    0% {height: 100%;}
    60% {height: 100%;}
    100% {height: 2%;}
}
@keyframes bottom-to-top-5 {
    0% {height: 100%;}
    70% {height: 100%;}
    100% {height: 2%;}
}
.top-bg-children:first-child::after  {
    animation: bottom-to-top-1 1.7s ease;
}
.top-bg-children:nth-child(2)::after  {
    animation: bottom-to-top-2 1.7s ease;
}
.top-bg-children:nth-child(3)::after  {
    animation: bottom-to-top-3 1.7s ease;
}
.top-bg-children:nth-child(4)::after  {
    animation: bottom-to-top-4 1.7s ease;
}
.top-bg-children:nth-child(5)::after  {
    animation: bottom-to-top-5 1.7s ease;
}

@keyframes btn-fade-in {
    0% {
        opacity: 0;
    }
    15%{
        opacity: 0;
    }
    30% {
        opacity: 1;
    }
}

.to-login {
    display: block;
    box-sizing: border-box;
    width: 280px;
    margin: 0 auto 64px auto;
    padding: 24px 16px;
    border: 2px solid #2BA8D0;
    border-image: linear-gradient(#2BA8D0 0%, #38d9c5 100%);
    border-image-slice: 1;
    text-align: center;
    font-size: 1.3rem;
    font-weight: bold;
    color: #FFF;
    background: linear-gradient(#2BA8D0 0%, #38d9c5 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: btn-fade-in 3s ease;
    z-index: 100;
}
.to-login:hover {
    -webkit-background-clip: border-box;
    -webkit-text-fill-color: #3f3f3f;
    opacity: .6;
}

/* Footer 
----------------------------------------------------------------------*/
address {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 40px;
    text-align: center;
    color: #AAA;
    font-size: .85rem;
}